# Generated by Django 2.0.7 on 2018-08-14 16:15

import image_cropping.fields

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [('recordings', '0008_recording_cover_format_choices')]

    operations = [
        migrations.AddField(
            model_name='recording',
            name='crop_digipak_front',
            field=image_cropping.fields.ImageRatioField(
                'cover_image',
                '446x400',
                adapt_rotation=False,
                allow_fullsize=False,
                free_crop=False,
                help_text='wirksam, wenn Format „Digipak: Frontansicht (139,5 × 125 mm)“ ausgewählt',
                hide_image_field=False,
                size_warning=False,
                verbose_name='Zuschnitt für Digipak-Frontansicht',
            ),
        ),
        migrations.AddField(
            model_name='recording',
            name='crop_jewelcase_booklet',
            field=image_cropping.fields.ImageRatioField(
                'cover_image',
                '400x400',
                adapt_rotation=False,
                allow_fullsize=False,
                free_crop=False,
                help_text='wirksam, wenn Format „Jewelcase: Booklet (120 × 120 mm)“ ausgewählt',
                hide_image_field=False,
                size_warning=False,
                verbose_name='Zuschnitt für Jewelcase-Booklet',
            ),
        ),
        migrations.AddField(
            model_name='recording',
            name='crop_keepcase_front',
            field=image_cropping.fields.ImageRatioField(
                'cover_image',
                '400x563',
                adapt_rotation=False,
                allow_fullsize=False,
                free_crop=False,
                help_text='wirksam, wenn Format „DVD Keepcase: Frontansicht (135 × 190 mm)“ ausgewählt',
                hide_image_field=False,
                size_warning=False,
                verbose_name='Zuschnitt für Keepcase-Frontansicht',
            ),
        ),
        migrations.AlterField(
            model_name='recording',
            name='cover_format',
            field=models.CharField(
                choices=[
                    ('jewelcase-booklet', 'Jewelcase: Booklet (120 × 120 mm)'),
                    ('digipak-front', 'Digipak: Frontansicht (139,5 × 125 mm)'),
                    ('keepcase-front', 'DVD Keepcase: Frontansicht (135 × 190 mm)'),
                ],
                default='jewelcase-booklet',
                help_text='das von der Bilddatei dargestellte Verpackungsformat',
                max_length=20,
                verbose_name='Format',
            ),
        ),
    ]
